%define upstream_name    Algorithm-Diff-Apply
%define upstream_version 0.2.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 20

Summary:   Apply one or more Algorithm::Diff diffs
License:   Artistic
Group:     Development/Perl
Url:       http://search.cpan.org/dist/%{upstream_name}
Source0:   ftp://ftp.perl.org/pub/CPAN/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires: perl(Algorithm::Diff)

Buildarch: noarch


%description
This module contains subroutines for applying diffs generated by
Algorithm::Diff to a target array in the hope of regenerating a new array
incorporating all the changes described in the diffs into a new merged array.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make 
%make test

%install
%make_install

%files 
%{_mandir}/*/*
%{perl_vendorlib}/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.3-20.mga8
+ Revision: 1503418
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.2.3-19.mga7
+ Revision: 1281553
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.2.3-18.mga7
+ Revision: 1162776
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.2.3-17.mga6
+ Revision: 1022256
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.2.3-16.mga6
+ Revision: 933134
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-15.mga5
+ Revision: 742367
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-14.mga5
+ Revision: 683445
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.3-13.mga4
+ Revision: 508997
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.3-12.mga3
+ Revision: 362850
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.2.3-11.mga1
+ Revision: 21997
- cleaning spec file
- imported package perl-Algorithm-Diff-Apply


* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 0.2.3-11mdv2010.1
+ Revision: 503914
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.2.3-10mdv2010.0
+ Revision: 430256
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.2.3-9mdv2009.0
+ Revision: 255264
- rebuild

* Mon Jan 14 2008 Thierry Vignaud <tv@mandriva.org> 0.2.3-7mdv2008.1
+ Revision: 151811
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.3-5mdv2008.0
+ Revision: 85918
- rebuild


* Thu Apr 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.3-4mdk
- Fix BuildRequires Using perl Policies
	- Source URL
	- BuildRequires

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.3-3mdk
- Buildrequires fix

* Thu Apr 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.3-2mdk
- spec cleanup

* Thu Apr 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.3-1mdk
- initial build

